Last Comment Bug 333025 - Three relatively frequent mozilla/accessible crashes in talkback
: Three relatively frequent mozilla/accessible crashes in talkback
Status: RESOLVED FIXED
: access, crash, fixed1.8.0.4, fixed1.8.1, topcrash
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
:
: alexander :surkov
Mentors:
Depends on:
Blocks: fox2access
  Show dependency treegraph
 
Reported: 2006-04-06 10:56 PDT by Aaron Leventhal
Modified: 2006-05-26 12:00 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point. (2.80 KB, patch)
2006-04-06 11:02 PDT, Aaron Leventhal
pilgrim: review+
neil: superreview+
ginn.chen: approval‑branch‑1.8.1+
dveditz: approval1.8.0.4+
Details | Diff | Splinter Review

Comment 1 Aaron Leventhal 2006-04-06 11:02:00 PDT
Created attachment 217449 [details] [diff] [review]
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point.
Comment 2 Aaron Leventhal 2006-04-10 07:20:35 PDT
Comment on attachment 217449 [details] [diff] [review]
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point.

Ginn, I shouldn't a= my own patches.
Comment 3 Ginn Chen 2006-04-10 22:56:52 PDT
Comment on attachment 217449 [details] [diff] [review]
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point.

a=me
Comment 4 Daniel Veditz [:dveditz] 2006-04-12 11:47:51 PDT
Comment on attachment 217449 [details] [diff] [review]
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point.

1.8.0.2 is done, moving aaron's request to 1.8.0.3
Comment 5 Daniel Veditz [:dveditz] 2006-04-21 14:11:26 PDT
Comment on attachment 217449 [details] [diff] [review]
Improved null checks (whitespace changes removed) . In one case I still don't know how it happens, but hopefully the assertion will help us catch it in a debug build at some point.

approved for 1.8.0 branch, a=dveditz for drivers
Comment 6 Ginn Chen 2006-04-23 22:34:23 PDT
Checking in src/base/nsDocAccessible.cpp;
/cvsroot/mozilla/accessible/src/base/nsDocAccessible.cpp,v  <--  nsDocAccessible.cpp
new revision: 1.73.2.6.2.1; previous revision: 1.73.2.6
done
Checking in src/msaa/nsDocAccessibleWrap.cpp;
/cvsroot/mozilla/accessible/src/msaa/nsDocAccessibleWrap.cpp,v  <--  nsDocAccessibleWrap.cpp
new revision: 1.30.2.4.2.1; previous revision: 1.30.2.4
done

Note You need to log in before you can comment on or make changes to this bug.